#ifndef CFG_H
#define CFG_H

#define MAX_SIZE 10240

typedef struct _cfg_t {
	char *name;
	char *value;
	struct _cfg_t *next;
} cfg_t;

int cfg_add (char *name, char *value);
int cfg_read (char *config_file);
char *cfg_retr (char *name);
char *cfg_get (char *name);
cfg_t *cfg_first ();
int cfg_write (char *config_file, char *pre);
int cfg_free ();

#endif
