#ifndef HTDB_H
#define HTDB_H

typedef struct _htdb_t {
	int file2db_count;
	int db2file_count;
	off_t index_size;
	time_t index_updated;
	int cron_res;
} htdb_t;

int htdb_init (char *db_name, char *db_user, char *db_pass, char *cfg_name);
htdb_t htdb_configsync (int htdb_id, time_t last_modified);
htdb_t htdb_indexsync (int htdb_id);
htdb_t htdb_cronsync (int htdb_id, char *cron_user, char *cron_search);

#endif
